<?php
/**
 * The template for displaying the footer.
 *
 * Contains the closing of the id=main div and all content after
 *
 * @package StagFramework
 */
?>
	</div><!-- #content -->

	<?php if ( true === doctype_get_thememod_value( 'doctype_portfolio_show_portfolio_cta' ) && ( is_page_template( 'template-portfolio.php' ) || is_page_template( 'template-portfolio-filterable.php' ) ) ) : ?>
	<section class="portfolio-cta">
		<div class="inside">
			<div class="grids">
				<div class="grid-7">
					<h2><?php echo doctype_get_thememod_value( 'doctype_portfolio_cta_text' ); ?></h2>
				</div>
				<div class="grid-5">
					<a href="<?php echo esc_url( doctype_get_thememod_value( 'doctype_portfolio_cta_button_link' ) ); ?>" class="button"><?php echo esc_attr( doctype_get_thememod_value( 'doctype_portfolio_cta_button_text' ) ); ?></a>
				</div>
			</div>
		</div>
	</section><!-- .portfolio-cta -->
	<?php endif; ?>

	<footer class="footer-widget-area">
		<div class="inside">
			<div class="grids">
				<?php dynamic_sidebar( 'sidebar-footer' ); ?>
			</div>
		</div>
	</footer>
	
	<footer id="colophon" class="site-footer" role="contentinfo">
		<div class="site-info">
			<?php $theme_credit = doctype_get_thememod_value( 'doctype_theme_credit' ); ?>
			<?php if ( true !== $theme_credit ) : ?>
				<div class="grids">
					<div class="grid-6">
						<p><a href="https://codestag.com/themes/doctype/">Doctype theme</a> <em>by</em> <a href="https://codestag.com">Codestag</a></p>
					</div>
				</div>
			<?php endif; ?>
			<div class="grids">
				<div class="grid-6">
					<?php echo doctype_get_thememod_value( 'doctype_site_footer_left' ); ?>
				</div>
				<div class="grid-6">
					<?php echo doctype_get_thememod_value( 'doctype_site_footer_right' ); ?>
				</div>
			</div>
		</div><!-- .site-info -->
	</footer><!-- #colophon -->

</div><!-- #page -->

<?php wp_footer(); ?>

</body>
</html>
