<?php
/**
 * Template Name: Contact Form
 *
 */

$page_subtitle     = get_post_meta( get_the_ID(), '_stag_page_subtitle', true );

get_header() ?>

	<div id="primary" class="content-area">
		<main id="main" class="site-main" role="main">

			<header class="page-header">
				<h1 class="blog-title"><?php the_title(); ?></h1>
				<?php if( ! empty( $page_subtitle ) ) echo "<p class='blog-subtitle'>{$page_subtitle}</p>"; ?>
			</header>

			<?php while ( have_posts() ) : the_post(); ?>

				<?php get_template_part( 'content', 'page' ); ?>

			<?php endwhile; // end of the loop. ?>

			<?php
			if ( class_exists( 'Doctype_Assistant' ) ) {
				echo do_shortcode( '[doctype_contact_form]' );
			} else {
				esc_html_e( 'Please install Doctype Assistant plugin for Contact Form template to work!', 'doctype' );
			}
			?>
		</main><!-- #main -->
	</div><!-- #primary -->

<?php get_footer(); ?>
